import warnings
from contextlib import contextmanager


@contextmanager
def suppress_warnings():
    """Suppress all warnings in `with` block."""
    with warnings.catch_warnings():
        warnings.simplefilter("ignore")
        yield
